Bug 1480460 - GNU screen gets killed on logout
Summary: GNU screen gets killed on logout
Keywords:
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: screen
Version: 31
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Vaclav Dolezal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-11 07:46 UTC by Thomas Stephen Lee
Modified: 2020-04-15 02:13 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description Thomas Stephen Lee 2017-08-11 07:46:41 UTC
Description of problem:

GNU screen gets killed if I detach GNU screen and log out.

Version-Release number of selected component (if applicable):

screen-4.6.1-1.fc26.x86_64

How reproducible:


1.  Login as user graphically
2.  open gnome-terminal
3.  $su - root
4.  $screen
5.  Detach screen
6.  $exit
7.  Logout of Gnome.
8.  Login back again graphically
9.  $su - root
10. $ screen -ls


Actual results:

There is a screen on:
	12057.pts-1.hostname	(Dead ???)
Remove dead screens with 'screen -wipe'.
1 Socket in /run/screen/S-root.


Expected results:

GNU screen should not be killed

Additional info:

Fresh installed Fedora 26.
Using XFS file system.

Comment 1 Thomas Stephen Lee 2017-08-16 06:23:23 UTC
Hi,

I tried the following two things after filing the bug.

1.
------------
As screen is working properly in Fedora 24 and 25, I installed Fedora 25 version of screen.

$dnf remove screen
$dnf install http://ftp.jaist.ac.jp/pub/Linux/Fedora/updates/25/x86_64/s/screen-4.6.1-1.fc25.x86_64.rpm
------------

2.
------------
Download, compile and install GNU screen from source.

http://ftp.gnu.org/gnu/screen/screen-4.6.1.tar.gz
------------

GNU screen is getting killed after these 2 steps also.

Comment 2 Thomas Stephen Lee 2017-09-29 04:16:20 UTC
The above issue is a known issue in systemd.

https://lists.freedesktop.org/archives/systemd-devel/2016-May/036583.html

"systemd-logind will now by default terminate user processes that are part of the user session scope unit (session-XX.scope) when the user logs out."



Hope there is some fix by either systemd or screen teams.

thanks.

Comment 3 Thomas Stephen Lee 2018-01-05 05:37:04 UTC
Issue is there in Fedora 27 also.

Comment 4 Thomas Stephen Lee 2018-05-22 05:03:39 UTC
Issue is there in Fedora 28 also.

Comment 5 Thomas Stephen Lee 2019-01-16 05:17:29 UTC
Issue is there in Fedora 29 also.

Workaround:

Press Ctrl-Alt-F2.
Login as root via terminal.
Run screen
Run your commands and detach.
Logout.
Screen is not dead when you login via Ctrl-Alt-F2 again.

Hope this helps with someone else with same issue.

Comment 6 Ben Cotton 2019-10-31 19:50:52 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Thierry Vignaud 2020-04-13 11:57:12 UTC
systemd-run should enables to fix that.
See its man page:
https://www.freedesktop.org/software/systemd/man/systemd-run.html

Eg:
systemd-run --scope --user screen 

Thus it should survives logging off GNOME…

Comment 8 Thomas Stephen Lee 2020-04-15 02:13:49 UTC
got the message.

"Failed to create bus connection: No such file or directory"

I did

$ su -

and

$ systemd-run --scope --user screen

thanks


Note You need to log in before you can comment on or make changes to this bug.